checkpoint_dir: ./run
comment: 9 Cats with left and right viewpoints and cutout augumentations - 480  image
  size
data:
  crop_bbox: true
  image_size:
  - 480
  - 480
  images_dir: null
  name_keys:
  - name
  - viewpoint
  preprocess_images:
    apply: false
    force_apply: false
    preprocessed_dir: /data/db/wbia-plugin-miew-id/wbia_miew_id/run/exp_vp_lrfbd_9cats_pp/lp_ms_9cats_vp_co2_pp5/images_256
  test:
    anno_path: /data/db/splits/EDA-multi-species-31-9cats/instances_val2023.json
    checkpoint_path: ./run/exp_vp_lrfbd_9cats_optuna_v7/ms_9cats_nopp_opt_t27_480_2/model_best.bin
    eval_groups:
    - - species
      - viewpoint
    n_filter_min: 2
    n_subsample_max: 10
  train:
    anno_path: /data/db/splits/EDA-multi-species-31-9cats/instances_train2023.json
    n_filter_min: 3
    n_subsample_max: null
  use_full_image_path: true
  val:
    anno_path: /data/db/splits/EDA-multi-species-31-9cats/instances_val2023.json
    n_filter_min: 2
    n_subsample_max: 10
  viewpoint_list:
  - left
  - right
engine:
  device: cuda
  epochs: 30
  loss_module: arcface
  num_workers: 0
  seed: 42
  train_batch_size: 12
  use_swa: false
  use_wandb: true
  valid_batch_size: 8
exp_name: ms_9cats_nopp_opt_t27_480_2
model_params:
  dropout: 0.0
  fc_dim: 2048
  k: 4
  loss_module: arcface
  ls_eps: 0.0
  margin: 0.3035845476844968
  model_name: efficientnetv2_rw_m
  n_classes: 2501
  pretrained: true
  s: 40.27228179427104
  theta_zero: 0.785
  use_fc: false
project_name: exp_vp_lrfbd_9cats_optuna_v7
scheduler_params:
  lr_decay: 0.8
  lr_max: 0.0003510988205019138
  lr_min: 1.755494102509569e-05
  lr_ramp_ep: 15
  lr_start: 3.510988205019138e-05
  lr_sus_ep: 0
swa_params:
  swa_lr: 0.00012146896457408213
  swa_start: 20
test:
  batch_size: 8
  fliplr: false
  fliplr_view: []
